Skip to main content
POST
Migrate Card Views

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app for which views are being migrated.

Body

application/json
allowDuplicateAppCardIds
boolean
required

A boolean flag indicating whether duplicate app card IDs are allowed during the migration process.

appCardId
integer<int64>
required

The unique identifier for the new app card to which views will be migrated. This is an integer in int64 format.

legacyCrmCardId
integer<int64>
required

The unique identifier for the legacy CRM card. This is an integer in int64 format.

helpdeskAppCardId
integer<int64>

The unique identifier for the helpdesk app card, if applicable. This is an integer in int64 format.

tabAppCardId
integer<int64>

Response

successful operation

message
string
required

A human readable message describing the progress of the migration.

endedAt
integer<int64>

The timestamp for when the migration ended.

remainingPortalCount
integer<int64>

The number of portals that remain to be swapped from the Legacy CRM Card to the App Card

startedAt
integer<int64>

The timestamp for when the migration started.

totalPortalCount
integer<int64>

The total number of portals that have access to the Legacy CRM Card

Last modified on September 9, 2026